/* Copyright (c) 1997, MpegTV LLC */
#ifndef _state_api_h
#define _state_api_h
#ifndef lint
static char rcsid_state_api_h[] = "$Header: /net/hopkins/var/home/tristan/mpeg/dec/RCS/state_api.h,v 1.6 1997/12/08 00:48:02 tristan Exp $";
#endif

/*
 * Disclaimer of Warranty
 *
 * These software programs are available to the user without any license fee or
 * royalty on an "as is" basis.  Copyright-holder disclaims
 * any and all warranties, whether express, implied, or statuary, including any
 * implied warranties or merchantability or of fitness for a particular
 * purpose.  In no event shall the copyright-holder be liable for any
 * incidental, punitive, or consequential damages of any kind whatsoever
 * arising from the use of these programs.
 *
 * This disclaimer of warranty extends to the user of these programs and user's
 * customers, employees, agents, transferees, successors, and assigns.
 *
 */

/*--------------------------------------------------------------------------+
| Macros:																	|
+--------------------------------------------------------------------------*/
/*
 * If STATE_FLAG_NO_ECHO is or'ed to the STATE in a COM_STATE command,
 * no A2G_COM_STATE message corresponding to this state change
 * is sent back.
 */
#define STATE_FLAG_NO_ECHO	0x80000000

/*--------------------------------------------------------------------------+
| Data types:																|
+--------------------------------------------------------------------------*/
/* data type for player's state */
typedef enum {
	STATE_STOPPED = 0,		/* stopped */
	STATE_PAUSED = 1,		/* paused */
	STATE_PLAYING = 2		/* playing */
} STATE;

/*
 * Note:
 * STATE_STOPPED is like STATE_PAUSED except that any state change
 * following a STATE_STOPPED causes a rewind (if the stream is seekeable).
 */


#endif /* _state_api_h */
